﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


namespace Com.VikingErik.Mvc.ResumingDownloads
{
    public struct ByteRange
    {
        public long StartByte { get; set; }
        public long EndByte { get; set; }
    }

    public class ResumableDownloadRequest
    {
        public string ETag { get; set; }
        public string FileName { get; set; }
        public ByteRange[] Ranges { get; set; }
        public PreconditionBase Precondition { get; set; }

        public ResumableDownloadRequest()
        {
        }
    }
}
